<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context="com.bomostory.sceneeditmodule.MusicEditDialog">

    <TextView
        android:id="@+id/musicName"
        style="@style/TextAppearance.AppCompat.Title"
        android:layout_width="800dp"
        android:layout_height="64dp"
        android:background="#ffecb3"
        android:gravity="center" />

    <TextView
        android:id="@+id/musicLength"
        style="@style/TextAppearance.AppCompat.Body2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="40dp"
        android:layout_marginTop="88dp"
        android:text="@string/music_length"
        android:textColor="#80000000"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageButton
        android:layout_width="24dp"
        android:layout_height="24dp"
        android:layout_marginStart="52dp"
        android:layout_marginTop="169dp"
        android:src="@drawable/ic_pause"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <com.example.audiotrack.EditAudioTrackView
        android:id="@+id/editAudioTrackView"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="68dp"
        android:layout_marginTop="8dp"
        android:layout_marginEnd="8dp"
        android:background="#99ff8cd2"
        app:borderColor="#633150"
        app:dialogTextSize="16sp"
        app:endDrawable="@drawable/ic_arrow_right_b"
        app:headDrawable="@drawable/ic_arrow_left_b"
        app:innerColor="#ff8cd2"
        app:innerHeight="40dp"
        app:innerWidthRatio="1"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/musicLength"
        app:playProgress=".5"
        app:playProgressDialogColor="@android:color/holo_orange_light"
        app:playProgressText="0:20"
        app:scrollProgressDialogColor="@android:color/holo_orange_dark"
        app:scrollProgressText="0:30" />

    <TextView
        android:id="@+id/startTime"
        style="@style/TextAppearance.AppCompat.Body2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="100dp"
        android:textColor="#66000000"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/editAudioTrackView" />

    <TextView
        android:id="@+id/endTime"
        style="@style/TextAppearance.AppCompat.Body2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="40dp"
        android:textColor="#66000000"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/editAudioTrackView" />

    <TextView
        style="@style/TextAppearance.AppCompat.Body2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="40dp"
        android:layout_marginTop="34dp"
        android:text="@string/volume"
        android:textColor="#80000000"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/editAudioTrackView" />

    <ImageView
        android:layout_width="24dp"
        android:layout_height="24dp"
        android:layout_marginStart="52dp"
        android:layout_marginTop="278dp"
        android:src="@drawable/ic_volume_up"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <SeekBar
        android:id="@+id/volumeSeekBar"
        android:layout_width="560dp"
        android:layout_height="48dp"
        android:layout_marginStart="108dp"
        android:layout_marginTop="266dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/volumeText"
        style="@style/TextAppearance.AppCompat.Body1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="281dp"
        android:layout_marginEnd="40dp"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <Button
        android:id="@+id/save"
        style="@style/TextAppearance.AppCompat.Button"
        android:layout_width="72dp"
        android:layout_height="36dp"
        android:layout_marginTop="346dp"
        android:layout_marginEnd="24dp"
        android:layout_marginBottom="24dp"
        android:background="@null"
        android:text="@string/save"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <Button
        android:id="@+id/cancel"
        style="@style/TextAppearance.AppCompat.Button"
        android:layout_width="72dp"
        android:layout_height="36dp"
        android:layout_marginTop="346dp"
        android:layout_marginEnd="104dp"
        android:layout_marginBottom="24dp"
        android:background="@null"
        android:text="@string/cancel"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

</android.support.constraint.ConstraintLayout>
